Subject: Re: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Stefan Kangas <[email-masked]>
Date: Sat, 13 Jan 2024 23:23:04 -0600

Po Lu <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I've displayed many hundreds of SVG icons in an Emacs buffer without
>> running into any issues.  I therefore find the above claim surprising.
>>
>> If you have any evidence that this is a problem in practice, then let's
>> see it.
>
> It's easily demonstrable: open etc/images/splash.svg, zoom in and out
> with the mouse wheel several times, and compare the image cache size in
> M-x memory-report with the same after repeating the test with
> etc/images/splash.xpm.

I'll take your word for it.  Do you understand why this happens?

What can we do to improve the situation?